$AdfDhtmlMenuBarPeer$$.$_SUB_ID_MAP$ = {start_overflow_indicator:"soi", end_overflow_indicator:"eoi", start_overflow_container:"soc", end_overflow_container:"eoc"};
$AdfDhtmlMenuBarPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlMenuBarPeer$$$$$GetSubIdDomElement$$($itemNumber$$1_itemValue$$6_subElementId$$36$$) {
  var $component$$2440_domElem$$12_domElement$$656_tr$$28$$ = this.$getComponent$();
  if ($component$$2440_domElem$$12_domElement$$656_tr$$28$$ = $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($itemNumber$$1_itemValue$$6_subElementId$$36$$, $AdfDhtmlMenuBarPeer$$.$_SUB_ID_MAP$, $component$$2440_domElem$$12_domElement$$656_tr$$28$$)) {
    return $component$$2440_domElem$$12_domElement$$656_tr$$28$$;
  }
  if ("item[" == $itemNumber$$1_itemValue$$6_subElementId$$36$$.substr(0, 5)) {
    return $component$$2440_domElem$$12_domElement$$656_tr$$28$$ = this.$getDomElement$(), $itemNumber$$1_itemValue$$6_subElementId$$36$$ = $itemNumber$$1_itemValue$$6_subElementId$$36$$.substring(5, $itemNumber$$1_itemValue$$6_subElementId$$36$$.lastIndexOf("]")), $itemNumber$$1_itemValue$$6_subElementId$$36$$ = parseInt($itemNumber$$1_itemValue$$6_subElementId$$36$$), $component$$2440_domElem$$12_domElement$$656_tr$$28$$ = $AdfDomUtils$$.$getFirstDescendentElement$($component$$2440_domElem$$12_domElement$$656_tr$$28$$, 
    "TR"), $AdfDomUtils$$.$getChildElementByPosition$($component$$2440_domElem$$12_domElement$$656_tr$$28$$, 1, $itemNumber$$1_itemValue$$6_subElementId$$36$$);
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlMenuBarPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlMenuBarPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlMenuBarPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlMenuBarPeer$$$$$GetBestMatchSubId$$($childElement$$30$$) {
  var $childItems_rootElement$$180_tr$$29$$ = this.$getDomElement$(), $childItems_rootElement$$180_tr$$29$$ = $AdfDomUtils$$.$getFirstDescendentElement$($childItems_rootElement$$180_tr$$29$$, "TR"), $childItems_rootElement$$180_tr$$29$$ = $AdfDomUtils$$.$getChildElements$($childItems_rootElement$$180_tr$$29$$);
  for (i = 0;i < $childItems_rootElement$$180_tr$$29$$.length;i++) {
    if ($childElement$$30$$ === $childItems_rootElement$$180_tr$$29$$[i]) {
      return "item[" + i + "]";
    }
  }
  return $AdfSubIdUtils$$.$getBestMatchSubId$($childElement$$30$$, this, $AdfDhtmlMenuBarPeer$$.$_SUB_ID_MAP$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlMenuBarPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlMenuBarPeer$$.prototype.$GetBestMatchSubId$});
